<div class="columns">
  <div class="column">
    <div class="container">
      <ng-form name="linkform" novalidate="">
        <div class="control">
          <div class="control is-horizontal">
            <input class="input"
                   type="text"
                   name="nameTf"
                   placeholder="Name"
                   ng-model="newLink.name"
                   ng-required="true">
            <input class="input"
                   type="url"
                   name="urlTf"
                   placeholder="URL - Format: http://... oder https://..."
                   ng-model="newLink.url"
                   ng-required="true">
          </div>
          <div class="control">
            <button type="button"
                    class="button is-small is-success"
                    ng-disabled="!linkform.$valid"
                    ng-click="saveLink()">
              Speichern
            </button>
            <button type="button"
                    class="button is-small"
                    ng-click="resetLink()">
              Abbrechen
            </button>
            <button class="button is-small is-inverted is-primary is-pulled-right"
                    ng-click="toggleFiles()">
              {{filesVisible ? 'Schließen' : 'Dateien anzeigen'}}
            </button>
          </div>
        </div>
      </ng-form>

      <p class="control">
        <!--<button class="button is-inverted is-primary is-fullwidth"
                ng-click="toggleFiles()">
          {{filesVisible ? 'Schließen' : 'Dateien anzeigen'}}
        </button>-->
        <div>
          <fa-file-chooser ng-if="filesVisible"></fa-file-chooser>
        </div>
      </p>

    </div><!-- .container -->
  </div>
</div>